PUT/infoshop

Update Event Info Shop

Update event info shop

Implementation Notes

This API allows users to modify the details of an existing Event Shop linked to an eventInfoShopId.

PUT/infoshop

Parameter Details

NameInTypeRequiredDescription
eventInfoShopIdqueryintegerRequiredUnique identifier of the EventShop.
bodybodyobjectRequirednone
» shopNamebodystringOptionalName of the EventShop.
» estimatedAttendeebodystringOptionalEstimated number of attendees.
» citybodystringOptionalCity where the event takes place.
» countrybodystringOptionalCountry where the event takes place.
» startDatebodystring(date)OptionalStart date of the event.
» horizonbodyintegerOptionalNumber of days from the start date to retrieve data.
» eventIdsbody[integer]OptionalList of event IDs associated with the EventShop.
» categorybodystringOptionalCategory codes (single value or range).
» subCategorybodystringOptionalSubcategory codes (single value or range).

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbiddenNone
404Not FoundNot FoundNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X PUT https://api.events.example.com/api/v1/infoshop?eventInfoShopId=0 \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "shopName": "",
  "estimatedAttendee": "",
  "city": "",
  "country": "",
  "startDate": "2019-08-24",
  "horizon": 0,
  "eventIds": [],
  "category": "0",
  "subCategory": "0"
}

Example responses

200 Response
{
  "message": "Shop details updated successfully.",
  "shopId": 765
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.